<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <!-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script> -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://code.jquery.com/jquery-3.6.4.js"
        integrity="sha256-a9jBBRygX1Bh5lt8GZjXDzyOB+bWve9EiO7tROUtj/E=" crossorigin="anonymous"></script>
    <script>
        $(document).ready(function(){
            var gImageLight = $("#imgLight");
        

        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
        $("#btn-on-flash").click(function () {
            btnOnFlash();
        })
        //
        $("#btn-of-flash").click(function () {
            btnOfFlash();
        })

        /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
        function btnOnFlash()
        {
            gImageLight.prop("src","images/pic_bulbon.gif");
        }
        function btnOfFlash()
        {
            gImageLight.prop("src", "images/pic_bulboff.gif");
        }

        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    });
    </script>
</head>

<body>
    <div class="container">
        <div class="d-flex justify-content-center">
            <div class="d-flex align-items-end">
                <button id="btn-on-flash" class="btn btn-warning">Bật đèn</button>
                <img id="imgLight" src="images/pic_bulboff.gif" alt="light image" width="150px">
                <button id="btn-of-flash"  class="btn btn-secondary">Tắt đèn</button>
            </div>
        </div>
    </div>
</body>

</html>